var comprapp = angular.module('comprapp', []).
  config(['$routeProvider', function($routeProvider) {

  $routeProvider.when('/', {templateUrl: 'partials/home.html', controller: MainCtrl});
  $routeProvider.when('/listas', {templateUrl: 'partials/listas.html', controller: ListasListCtrl});
  $routeProvider.when('/listas/:listaId', {templateUrl: 'partials/lista.html', controller: ListaDetailCtrl});    
  $routeProvider.when('/recetas', {templateUrl: 'partials/recetas.html', controller: RecetasListCtrl});
  $routeProvider.when('/recetas/:recetaId', {templateUrl: 'partials/receta.html', controller: RecetaDetailCtrl}); 
  $routeProvider.when('/ingredientes/add', {templateUrl: 'partials/ingredienteAdd.html', controller: IngredienteAddCtrl}); 
  
  $routeProvider.otherwise({redirectTo: '/'});

}]);



comprapp.directive('alerta', function($timeout) {
    return {
        restrict: 'A',
        link: function(scope, element, attrs) {
            function openDialog() {  
                scope.mensaje = attrs.alerta;
                var mensajes = document.getElementsByClassName('mensajes'); 
                angular.element(mensajes).addClass('ui-animate mostrar'); 
                $timeout(function () {
                	angular.element(mensajes).removeClass('mostrar');
                }, 1700, false);
            }           
            element.bind('click', openDialog);           
        }
    }
});



comprapp.tools = {
    alturaMain : function(pie) {
      //var principal = document.getElementById('principal');  
      //angular.element(principal).css('height',(window.innerHeight-50) + 'px');      
    }
}







