/*
* IngredienteAddCtrl
********************************************/
function IngredienteAddCtrl($scope, persistencejs) {
	comprapp.tools.alturaMain();
	$scope.refresh = function() {$scope.$apply();}

    var listaIngredientesBorrar = document.getElementById('listaIngredientesBorrar');  
    angular.element(listaIngredientesBorrar).css('height',(window.innerHeight-150) + 'px');	

	//add receta
	$scope.addIngrediente = function() {
		if ( !$scope.newIngrediente.length ) { return; }   
		persistencejs.addIngrediente(
		  $scope.newIngrediente
		);		
		persistencejs.fetchAllIngrediente($scope, function(){$scope.refresh();}); 
		$scope.newIngrediente = '';
	};  

    //pop list ingredientes
    $scope.ingredientes = [];
	persistencejs.fetchAllIngrediente($scope, function(){$scope.refresh();}); 	  	

	//remove ingrediente
	$scope.removeIngrediente = function(ingrediente) {
		$scope.ingredientes.splice($scope.ingredientes.indexOf(ingrediente), 1);
		persistencejs.removeIngrediente(ingrediente);
	};

	//back button
	$scope.back = function() {
	  	window.history.back();
	};	

}