/*
* ListasListCtrl
********************************************/
function ListasListCtrl($scope, persistencejs) {
  comprapp.tools.alturaMain();
  
  //list listas
  var listas = $scope.listas = [];
  persistencejs.fetchAllLista($scope, function(){ listas = $scope.listas; $scope.refresh(); });
  $scope.refresh = function(){ $scope.$apply(); }

  //add lista
  $scope.addList = function() {
    if ( !$scope.newLista.length ) { return; }   
    persistencejs.addLista(
      $scope.newLista, 
      persistencejs.fetchAllLista($scope, function(){ 
        listas = $scope.listas; 
        $scope.refresh(); 
      })
    );
    $scope.newLista = '';
  };

  //remove lista
  $scope.removeLista = function(lista) {
    listas.splice(listas.indexOf(lista), 1);
    persistencejs.removeLista(lista);
  };

}